[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomFlowPanel.CMControlChange

Handles the CM_CONTROLCHANGE message.

## Declaration

Source position: extctrls.pp line 1320

`protected procedure TCustomFlowPanel.CMControlChange(`
`var Message: TCMControlChange`
`); message;`

## Arguments

`Message` |  | Message with parameters examined in the method.

## Description

Calls DisableAlign prior to adding (inserting) the control in ControlList. Calls ReAlign when the control is added, and calls EnableAlign prior to exit.

Remark: | The CM_CONTROLCHANGE message is ignored when the component is being loaded using LCL steaming. No actions are performed in the method when csLoading is in the ComponentState property.